%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Technical note TN110
% Single-phase grid-tied inverter with PR controller
% Copyright imperix ltd, 2024
% dev@imperix.ch
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

f_clk0 = 20e3;          % Switching and sampling frequencies [Hz]

Vg = 230;               % Nominal RMS grid voltage [V]
Vg_peak = Vg*sqrt(2);   % Nominal peak grid voltage [V]
Vdc0 = 400;             % Nominal DC bus voltage [V]
f0 = 50;                % Nominal grid frequency [Hz]
w0 = 2*pi*f0;           % Nominal grid pulsation [rad/s]

Cdc = 7.5e-3;           % DC link capacitor [F]
Lg = 4e-3;              % AC-side inductor (grid) [H]
Rg = 12e-3;             % ESR of the AC-side inductor (grid) [Ohm]